We are working on a fix to solve the "WhatsApp works with Google Chrome 36+" issue. Please be patient.

All Franz Services at a glance

Most popular services

Download Franz for Windows, Mac and LinuxRequires Windows 7 and newer or macOS 10.9 and newer

Download Franz

All services

Download Franz for Windows, Mac and LinuxRequires Windows 7 and newer or macOS 10.9 and newer

Download Franz